#============================================================================
# perl_lib.mk

# create perl "library" files *.pl by substituting into *.pl.in
# performs syntax check on files

# prerequisite: substitute_config_variables.mk
# prerequisite: perl_compile.mk

PERL_SUBST_DEPS = Makefile

# substitution & "compilation" rule
%.pl : %.pl.in $(PERL_SUBST_DEPS)
	p="$@"; f=$(strip_dir) \
	$(do_subst) $(srcdir)/$$f.in > $$f ; \
	$(PERL_COMPILE) $$f || { rm $$f; false ; }
